> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Update score change in bulk

> Update score change in bulk



## OpenAPI

````yaml /openapi.json put /api/v1/score/bulk
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/score/bulk:
    put:
      tags:
        - Score Route
      summary: Update score change in bulk
      description: Update score change in bulk
      parameters:
        - name: refresh
          in: query
          schema:
            description: >-
              If 'true', OpenSearch refreshes the affected shards to make this
              operation visible to search, if 'wait_for' then wait for a refresh
              to make this operation visible to search, if 'false' do nothing
              with refreshes.
            enum:
              - WaitFor
              - 'True'
              - 'False'
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkRequestDtoUpdateScoreChangeDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkResponseDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    BulkRequestDtoUpdateScoreChangeDto:
      required:
        - data
      type: object
      properties:
        data:
          description: Bulk request data
          minItems: 1
          type: array
          items:
            required:
              - index
              - id
            type: object
            properties:
              index:
                minLength: 1
                type: string
              id:
                minLength: 1
                type: string
              update:
                $ref: '#/components/schemas/UpdateScoreChangeDto'
    BulkResponseDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/BulkResponseEntryDto'
    UpdateScoreChangeDto:
      required:
        - tags
      type: object
      properties:
        tags:
          description: 'Tag list of the alert, could be viewed or empty. Values: viewed'
          uniqueItems: true
          type: array
          items:
            type: string
    BulkResponseEntryDto:
      type: object
      properties:
        index:
          type: string
        id:
          type: string
        result:
          type: string
        error:
          $ref: '#/components/schemas/BulkResponseEntryErrorDto'
    BulkResponseEntryErrorDto:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````